t3learnkeys(1)

NAME

t3learnkeys - learn key sequences for terminal

SYNOPSIS

t3learnkeys [<OPTIONS>]

DESCRIPTION

t3learnkeys allows easy construction of a database entry for libt3key. It can be used both in automatic mode (for X11 terminals), in which case it generates the key strokes itself, or in manual mode.

OPTIONS

t3learnkeys accepts the following options:

-a, --auto-learn
    Generate key strokes automatically. Only supported when running in an X11 terminal emulator and support is compiled in.

-A, --dont-abort-auto-learn
    Do not abort on receiving Control-C in auto learn mode.

-b <keys>, --block-keys=<keys>
    Do not ask for the keys described by keys. keys is a comma separated list of key descriptions. A key description can be either what is printed on the screen when running t3learnkeys, or an identifier as used in the output.

-o <output>, --output=<output>
    Write the output to <output>, instead of using the value of the TERM environment variable as output file name.

-s, --show-only
    Only show the sequences produced by pressing keys. When using this mode, the t3learnkeys program will not write any files. This mode is primarily intended to find out the sequences sent by specific keys, rather than learning an entire set of keys.

BUGS

If you think you have found a bug, please check that you are using the latest version of libt3key [http://os.ghalkes.nl/libt3key.html]. When reporting bugs, please include a minimal example that demonstrates the problem.

AUTHOR

G.P. Halkes <libt3key@ghalkes.nl>

COPYRIGHT

Copyright © 2011-2012,2018 G.P. Halkes
libt3key is licensed under the GNU General Public License version 3.
For more details on the license, see the file COPYING in the documentation directory. On Un*x systems this is usually /usr/share/doc/libt3key.